FROM node:16-alpine

RUN apk update && apk upgrade && apk add bash

ADD package.json /package.json

ADD scripts /scripts

ENV NODE_PATH=/node_modules
ENV PATH=$PATH:/node_modules/.bin

RUN yarn

WORKDIR /app
ADD . /app

EXPOSE 3002

ENTRYPOINT ["/bin/bash", "/app/run.sh"]
CMD ["start"]
